Bug 10441 - kickstart: cannot override probed ethernet device
kickstart: cannot override probed ethernet device
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Michael Fulbright
Depends On:
  Show dependency treegraph
Reported: 2000-03-30 09:53 EST by Nigel Metheringham
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-08 15:16:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nigel Metheringham 2000-03-30 09:53:35 EST
Background:  The "new" tulip driver is rather flakey on all our varients
of tulips.  The old_tulip driver is rock solid - at least this is the case
in 2.2.15pre14 or so.

For a kickstart over NFS to work better than 1 time in 3 I need to force
the use of the old_tulip driver.  RH very kindly put it in the install
package.  However it cannot be loaded in a kickstart install because
the PCI sniffing finds a tulip and loads the tulip driver in early
in the process.  Any device statements don't work because the tulip and
old_tulip drivers do not co-exist.

Workround was to extra the initrd.img file off the boot set, and rebuild
modules.cgz swapping over tulip and old_tulip.

What fun :-)
Comment 1 Michael Fulbright 2000-03-30 14:44:59 EST
If you boot the installer with the 'noprobe' option does that help?
Comment 2 brian 2000-04-07 03:35:59 EDT
I'm in a similar boat here.  But in my case kickstart thinks that the de4x5
driver is the one to use.  The tulip driver is the one I want so as listed above
and as I did in rh 6.0 I added noprobe to the ks.cfg file as well as the line
device ethernet tulip to the file.  This does not appear to work as it errors
out saying that it was unable to insert the tulip driver because the device was
busy because it still insmoded the d34x5 driver.  It also reports that the
"noprobe" line caused the installer to error as it is not valid.  I also noticed
that the doc with rh 6.2 lacks any mention of "noprobe" in it, or maybe I'm just
blind.  Ideas?
Comment 3 Pekka Savola 2000-11-07 15:19:07 EST
I've gotten bit by this too -- de4x5 driver was installed even though I specified wanted tulip.
Comment 4 Erik Troan 2000-12-08 15:16:17 EST
7.0 lets you override this stuff properly.

Note You need to log in before you can comment on or make changes to this bug.